RoutesCompile (Gradle API 5.6.1)
Date: 2019-09-03

Package org.gradle.play.tasks

## Class RoutesCompile

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.SourceTask
        - - org.gradle.play.tasks.RoutesCompile

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `PatternFilterable`, `org.gradle.util.Configurable<Task>`

      @Incubating
      @Deprecated
      public class RoutesCompile
      extends SourceTask

  Deprecated.
  Task for compiling routes templates into Scala code.

  This task is usually created as one of the build tasks when building a Play application with the `PlayPlugin` plugin. Explicit configuration of this task is not expected and should be performed on the equivalent settings at the `PlayApplicationSpec` level.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RoutesCompile()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<String>` | `getAdditionalImports()` | Deprecated. Returns the additional imports of the Play Routes compiler.
    `BaseForkOptions` | `getForkOptions()` | Deprecated. The fork options to be applied to the Routes compiler.
    `boolean` | `getInjectedRoutesGenerator()` | Deprecated. Is the injected routes generator (`play.routes.compiler.InjectedRoutesGenerator`) used for generating routes? Default is false.
    `File` | `getOutputDirectory()` | Deprecated. Returns the directory to generate the parser source files into.
    `FileTree` | `getSource()` | Deprecated. Returns the source for this task, after the include and exclude patterns have been applied.
    `PlayToolChain` | `getToolChain()` | Deprecated. Returns the tool chain that will be used to compile the routes source.
    `boolean` | `isGenerateReverseRoutes()` | Deprecated. Whether a reverse router should be generated.
    `boolean` | `isJavaProject()` | Deprecated.
    `boolean` | `isNamespaceReverseRouter()` | Deprecated. Whether the reverse router should be namespaced.
    `void` | `setAdditionalImports​(List<String> additionalImports)` | Deprecated. Specifies the additional imports of the Play Routes compiler.
    `void` | `setGenerateReverseRoutes​(boolean generateReverseRoutes)` | Deprecated. Sets whether or not a reverse router should be generated.
    `void` | `setInjectedRoutesGenerator​(boolean injectedRoutesGenerator)` | Deprecated. Configure if the injected routes generator should be used to generate routes.
    `void` | `setNamespaceReverseRouter​(boolean namespaceReverseRouter)` | Deprecated. Sets whether or not the reverse router should be namespaced.
    `void` | `setOutputDirectory​(File outputDirectory)` | Deprecated. Specifies the directory to generate the parser source files into.
    `void` | `setPlatform​(PlayPlatform platform)` | Deprecated.

    - ### Methods inherited from class org.gradle.api.tasks.SourceTask

      `exclude, exclude, exclude, exclude, getExcludes, getIncludes, getPatternSetFactory, include, include, include, include, setExcludes, setIncludes, setSource, setSource, source`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getTimeout, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, replaceLogger, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RoutesCompile

          public RoutesCompile()

      Deprecated.

  - ### Method Detail

    - #### getSource

          @PathSensitive(RELATIVE)
          public FileTree getSource()

      Deprecated.
      Returns the source for this task, after the include and exclude patterns have been applied. Ignores source files which do not exist.

      The `PathSensitivity` for the sources is configured to be `PathSensitivity.ABSOLUTE`. If your sources are less strict, please change it accordingly by overriding this method in your subclass.

      Overrides:
        `getSource` in class `SourceTask`
      Returns:
        The source.

    - #### getOutputDirectory

          @OutputDirectory
          public File getOutputDirectory()

      Deprecated.
      Returns the directory to generate the parser source files into.
      Returns:
        The output directory.

    - #### setOutputDirectory

          public void setOutputDirectory​(File outputDirectory)

      Deprecated.
      Specifies the directory to generate the parser source files into.
      Parameters:
        `outputDirectory` - The output directory. Must not be null.

    - #### getAdditionalImports

          @Input
          public List<String> getAdditionalImports()

      Deprecated.
      Returns the additional imports of the Play Routes compiler.
      Returns:
        The additional imports.

    - #### setAdditionalImports

          public void setAdditionalImports​(List<String> additionalImports)

      Deprecated.
      Specifies the additional imports of the Play Routes compiler.

    - #### isJavaProject

          @Internal
          public boolean isJavaProject()

      Deprecated.

    - #### setPlatform

          public void setPlatform​(PlayPlatform platform)

      Deprecated.

    - #### getToolChain

          @Inject
          public PlayToolChain getToolChain()

      Deprecated.
      Returns the tool chain that will be used to compile the routes source.
      Returns:
        The tool chain.

    - #### getForkOptions

          public BaseForkOptions getForkOptions()

      Deprecated.
      The fork options to be applied to the Routes compiler.
      Returns:
        The fork options for the Routes compiler.

    - #### isNamespaceReverseRouter

          @Input
          public boolean isNamespaceReverseRouter()

      Deprecated.
      Whether the reverse router should be namespaced.

    - #### setNamespaceReverseRouter

          public void setNamespaceReverseRouter​(boolean namespaceReverseRouter)

      Deprecated.
      Sets whether or not the reverse router should be namespaced.

    - #### isGenerateReverseRoutes

          @Input
          public boolean isGenerateReverseRoutes()

      Deprecated.
      Whether a reverse router should be generated. Default is true.

    - #### setGenerateReverseRoutes

          public void setGenerateReverseRoutes​(boolean generateReverseRoutes)

      Deprecated.
      Sets whether or not a reverse router should be generated.

    - #### getInjectedRoutesGenerator

          @Input
          public boolean getInjectedRoutesGenerator()

      Deprecated.
      Is the injected routes generator (`play.routes.compiler.InjectedRoutesGenerator`) used for generating routes? Default is false.
      Returns:
        false if StaticRoutesGenerator will be used to generate routes, true if InjectedRoutesGenerator will be used to generate routes.

    - #### setInjectedRoutesGenerator

          public void setInjectedRoutesGenerator​(boolean injectedRoutesGenerator)

      Deprecated.
      Configure if the injected routes generator should be used to generate routes.
      Parameters:
        `injectedRoutesGenerator` - false - use StaticRoutesGenerator true - use InjectedRoutesGenerator